Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
history
/
{collectionType}
/
{collectionKey}
/
{itemId}
/
operations
/
{operationId}
Get a specific history item
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/history/{collectionType}/{collectionKey}/{itemId}/operations/{operationId} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "operationId": "<string>",
  "taskId": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "userInfo": {
    "id": "<string>",
    "email": "<string>"
  },
  "payload": {
    "id": "<string>",
    "type": "<string>",
    "data": {},
    "meta": {
      "createdAt": "2023-11-07T05:31:56Z",
      "identifier": [
        {
          "id": "<string>",
          "system": "<string>",
          "value": "<string>",
          "use": "<string>",
          "period": {
            "id": "<string>",
            "start": "<string>",
            "end": "<string>"
          }
        }
      ],
      "source": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "contained": {}
  }
}

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The source key.

collectionType
enum<string>
required

The type of the collection.

Available options:
resources,
relationships,
objects
collectionKey
string
required

The key of the collection.

itemId
string
required

The id of the item.

operationId
string
required

The unique ID of the operation entry.

Query Parameters

withPayload
boolean
default:false

If true, the full entity payload related to the operationId will be included in the response.

Response

The specific version history item.

A version history item that includes the full data payload of the entity at that point in time.

id
string
required
read-only

The unique identifier of the resource or relationship.

type
string
required
read-only

The collection type of the entity.

targetType
enum<string>
required
read-only
Available options:
resources,
relationships,
objects
operationId
string
required
read-only

The unique identifier of the operation.

taskId
string
required
read-only

The identifier of the task that processed this operation.

timestamp
string<date-time>
required
read-only

The exact time the operation was applied.

action
enum<string>
required
read-only

The action to perform.

Available options:
CREATE,
UPSERT,
DELETE,
UPDATE
userInfo
object
required
read-only

Information about the user or service that performed the operation.

payload
object
required